using System.Collections.Specialized;
using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Account;

[YPassportRequest(WebRequestMethods.Http.Get, "am")]
internal class YGetAuthMethodsBuilder : YRequestBuilder<HttpResponseMessage, string>
{
    public YGetAuthMethodsBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override NameValueCollection GetQueryParams(string tuple)
    {
        return new NameValueCollection {
            { "app_platform", "android" }
        };
    }
}